All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::MatrixStats Struct Reference

`#include <AutoTune.h>`

## Classes

struct | Occurrence
struct | PerDimStats

## Public Member Functions

| MatrixStats (size_t n, size_t d, const float *x)
void | do_comment (const char *fmt,...)

## Public Attributes

std::string | comments
size_t | n
size_t | d
size_t | n_collision
size_t | n_valid
size_t | n0
double | min_norm2
double | max_norm2
std::vector< PerDimStats > | per_dim_stats
std::unordered_map< uint64_t, Occurrence > | occurrences
char * | buf
size_t | nbuf

## Detailed Description

Reports some statistics on a dataset and comments on them.

It is a class rather than a function so that all stats can also be accessed from code

Definition at line 218 of file AutoTune.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/AutoTune.h
- /data/users/hoss/faiss/AutoTune.cpp